> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Signal



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/cycle/signals
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/cycle/signals:
    post:
      tags:
        - LoopOps
      summary: Create Signal
      operationId: create_signal_api_v1_teams__team_id__cycle_signals_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSignalRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoopSignalResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateSignalRequest:
      properties:
        emitter_loop_id:
          type: string
          format: uuid
          title: Emitter Loop Id
        receiver_loop_id:
          type: string
          format: uuid
          title: Receiver Loop Id
        signal_name:
          type: string
          maxLength: 100
          minLength: 1
          title: Signal Name
        action:
          type: string
          enum:
            - trigger
            - notify
          title: Action
          default: trigger
        delay_minutes:
          type: integer
          minimum: 0
          title: Delay Minutes
          default: 0
      type: object
      required:
        - emitter_loop_id
        - receiver_loop_id
        - signal_name
      title: CreateSignalRequest
    LoopSignalResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        cycle_id:
          type: string
          format: uuid
          title: Cycle Id
        emitter_loop_id:
          type: string
          format: uuid
          title: Emitter Loop Id
        receiver_loop_id:
          type: string
          format: uuid
          title: Receiver Loop Id
        signal_name:
          type: string
          title: Signal Name
        action:
          type: string
          title: Action
        delay_minutes:
          type: integer
          title: Delay Minutes
        is_active:
          type: boolean
          title: Is Active
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - cycle_id
        - emitter_loop_id
        - receiver_loop_id
        - signal_name
        - action
        - delay_minutes
        - is_active
        - created_at
      title: LoopSignalResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````